/* -----------------------------------------------------------------------------
  GALLY-GRAPHITE
  Template for Piwigo
  ------------------------------------------------------------------------------
  file: gally/gallyjs-tcp.js
  file release:  1.0.0
  theme release: 1.5.0
  ------------------------------------------------------------------------------
  author: grum at piwigo.org
  << May the Little SpaceFrog be with you >>
  ------------------------------------------------------------------------------
  Specific JS for the theme

  see the release_notes.txt file for more informations
----------------------------------------------------------------------------- */

var gallyGraphite=null;

$(document).ready(
  function()
  {
    gallyGraphite=new GallyGraphite();
  }
);


function GallyGraphite ()
{
  function init()
  {
    // apply specific actions for categories pages
    if($('#theCategoryPage').length>0)
    {
      setCatThumbHeight();
      setTipPosition_Category();
    }
    // apply specific actions for picture pages
    else if($('#thePicturePage').length>0)
    {
      setTipPosition_Picture();
      setDerivativeBoxPosition_Picture();
    }
    else
    {
      $('ul.categoryActions a.button').addClass('sTipOnLeft').removeClass('sTipOnRight');
    }
    setTipPosition_Menu();
  }


  /**
   * change the parent of the derivative box on the picture page
   * (don't want to create a specific template just for this)
   */
  function setDerivativeBoxPosition_Picture()
  {
    $('#derivativeSwitchBox').prependTo($('#content'));
  }

  /**
   * set the same height for all category block
   */
  function setCatThumbHeight()
  {
    var maxH=0;

    $('div ul.thumbnailCategories li div.thumbnailCategory').each(
     function (index)
     {
        height=$(this).height();
        if(height>maxH) maxH=height;
     }
    );

    $('div ul.thumbnailCategories li div.thumbnailCategory').height(maxH);
  }

  function setTipPosition_Category()
  {
    $('#categoryActionsID a.button').addClass('sTipOnLeft');
    $('div ul.thumbnailCategories li div.thumbnailCategory').addClass('sTipOnTop');

    //move title from <span> container to <img> (rendering is better for this theme)
    $('span.wrap2').each(
      function(index)
      {
        title=$(this).attr('title');
        $(this).find('img').addClass('sTipOnTop').attr('title', title);
        $(this).removeAttr('title').removeClass('sTipOnTop');
      }
    );
  }

  function setTipPosition_Picture()
  {
    $('#imageToolBar div.navButtons a.navButton').addClass('sTipOnLeft').removeClass('sTipOnTop');
    $('#imageToolBar div.randomButtons a.button').addClass('sTipOnRight').removeClass('sTipOnTop');
  }

  function setTipPosition_Menu()
  {
    $('#menubar span').removeClass('sTipOnTop');
    $('#menuTagCloud a').removeClass('sTipOnTop').addClass('sTipOnRight');
  }

  init();
}